package com.zcloud.service.majordangersource.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.majordangersource.MonitoringDeviceMapper;
import com.zcloud.service.majordangersource.MonitoringDeviceSensorService;
import com.zcloud.service.majordangersource.MonitoringDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监测设备
 * 作者：luoxiaobao
 * 时间：2022-03-31
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class MonitoringDeviceServiceImpl implements MonitoringDeviceService{

	@Autowired
	private MonitoringDeviceMapper monitoringdeviceMapper;

	@Autowired
	private MonitoringDeviceSensorService monitoringDeviceSensorService;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		monitoringdeviceMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		monitoringdeviceMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		monitoringdeviceMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return monitoringdeviceMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return monitoringdeviceMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return monitoringdeviceMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		monitoringdeviceMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return monitoringdeviceMapper.findByIds(pd);
	}

	@Override
	public PageData showById(PageData pd) throws Exception {
		PageData data = monitoringdeviceMapper.findById(pd);
		data.put("SENSORLIST", monitoringDeviceSensorService.listAll(pd));
		return data;
	}
}

